com.google.cloud.dataflow.sdk.io

## Enum BigQueryIO.Write.CreateDisposition

- java.lang.Object
- - java.lang.Enum<BigQueryIO.Write.CreateDisposition>
  - - com.google.cloud.dataflow.sdk.io.BigQueryIO.Write.CreateDisposition

All Implemented Interfaces:
  Serializable, Comparable<BigQueryIO.Write.CreateDisposition>

Enclosing class:
  BigQueryIO.Write

    public static enum BigQueryIO.Write.CreateDisposition
    extends Enum<BigQueryIO.Write.CreateDisposition>

An enumeration type for the BigQuery create disposition strings.

See Also:
  `configuration.query.createDisposition` in the BigQuery Jobs API

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE_IF_NEEDED` Specifies that tables should be created if needed.
`CREATE_NEVER` Specifics that tables should not be created.

### Method Summary

All Methods Static Methods Concrete Methods
`static BigQueryIO.Write.CreateDisposition` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BigQueryIO.Write.CreateDisposition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE_NEVER

    public static final BigQueryIO.Write.CreateDisposition CREATE_NEVER

Specifics that tables should not be created.

If the output table does not exist, the write fails.

#### CREATE_IF_NEEDED

    public static final BigQueryIO.Write.CreateDisposition CREATE_IF_NEEDED

Specifies that tables should be created if needed. This is the default behavior.

Requires that a table schema is provided via `BigQueryIO.Write.withSchema(com.google.api.services.bigquery.model.TableSchema)`. This precondition is checked before starting a job. The schema is not required to match an existing table's schema.

When this transformation is executed, if the output table does not exist, the table is created from the provided schema. Note that even if the table exists, it may be recreated if necessary when paired with a `BigQueryIO.Write.WriteDisposition.WRITE_TRUNCATE`.

### Method Detail

#### values

    public static BigQueryIO.Write.CreateDisposition[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BigQueryIO.Write.CreateDisposition c : BigQueryIO.Write.CreateDisposition.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BigQueryIO.Write.CreateDisposition valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null